# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               libqjack
Version:            0.0+20120316
%define soname      0
Release:            1.5
Summary:            Connect to the Jack Sound Server with Qt
## https://bitbucket.org/asiniscalchi/qjack.git
Source:             qjack-20120316.tar.bz2
Patch1:             qjack-soname-lib.patch
URL:                https://bitbucket.org/asiniscalchi/qjack
Group:              System/Libraries
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      jack-devel
BuildRequires:      libqt4-devel
BuildRequires:      gcc-c++ cmake make glibc-devel pkgconfig

%description
QJack makes you connect with the Jack soundserver system with Qt4.

%package -n libqjack%{soname}
Summary:            Connect to the Jack Sound Server with Qt
Group:              System/Libraries

%description -n libqjack%{soname}
QJack makes you connect with the Jack soundserver system with Qt4.

%package -n libqjack-devel
Summary:            Connect to the Jack Sound Server with Qt
Group:              Development/Libraries/C and C++
Requires:           libqjack%{soname} = %{version}
Requires:           libqt4-devel
Requires:           jack-devel

%description -n libqjack-devel
QJack makes you connect with the Jack soundserver system with Qt4.

%prep
%setup -q -n qjack
%patch1

%build
%__install -d build
pushd build
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DLIB="%{_lib}" \
    -DCMAKE_CXX_FLAGS="%{optflags}" \
    ..
%__make %{?_smp_mflags} VERBOSE=1
popd

%install
pushd build
%makeinstall
popd

%post   -n libqjack%{soname} -p /sbin/ldconfig
%postun -n libqjack%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n libqjack%{soname}
%defattr(-,root,root)
%doc README
%{_libdir}/libqjack.so.%{soname}
%{_libdir}/libqjack.so.%{soname}.*

%files -n libqjack-devel
%defattr(-,root,root)
%{_includedir}/qjack
%{_libdir}/libqjack.so

%changelog
* Fri Jul 20 2012 pascal.bleser@opensuse.org
- initial version (0.0+20120316)
